#lang racket

(match-define (vector nof in-filename out-prefix) (current-command-line-arguments))

(define outs 
  (for/list ([i (string->number nof)]) 
    (open-output-file (string-append out-prefix (number->string i)) #:exists 'replace)))
                       
(with-input-from-file in-filename (lambda ()
  (let/cc k
    (let loop ()
      (for ([s outs])
        (define l (read-line))
        (if (eof-object? l)
            (k 0)
            (fprintf s "~a\n" l)))
      (loop)))
  (for ([s outs])
    (close-output-port s))))



