use Modern::Perl;
use Text::ParseWords;
use IO::All;
my @lines =  io("pg2554.txt")->slurp;
#print @lines;
my @words;
for my $l (@lines) {
  my @w = shellwords($l);
  push @words, @w;
}

sub cleanprintword {
 my $w = $_[0];
  $w =~ s/\.+$//;
  $w =~ s/,$//;
  $w =~ s/\!$//;
  $w =~ s/\?$//;
  $w =~ s/;$//;
  $w =~ s/:$//;
  $w =~ s/^\(//;
  $w =~ s/\)$//;
  $w = lc($w);
  if ($w =~ /[^[:alpha:]]/) {
    #say $w;
  }
  say $w;
}

sub printwords {
  my @words = @_;
  for my $w (@words) {
    if ($w =~ /\s+/) {
      printwords(shellwords($w));
    }
    else {
      cleanprintword($w);
    }
  }
}

printwords(@words);
